Bug 301079 - Switch window shortcut stop working
Summary: Switch window shortcut stop working
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: 4.8.80
Platform: Archlinux Packages Linux
: NOR major (vote)
Target Milestone: 4.9 Beta 2
Assignee: KWin default assignee
URL: http://wstaw.org/m/2012/06/03/kwin.png
Keywords: regression
: 301316 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-06-03 01:30 UTC by Yichao Yu
Modified: 2012-06-06 22:48 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.0
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yichao Yu 2012-06-03 01:30:59 UTC
The short cut shown in the url stop working (along with related ones that switch to a window in another direction)
(It's in Chinese but I suppose the default shortcut can show what that is)

Reproducible: Always

Steps to Reproduce:
1. press the shortcut/hotkey
2.
3.
Actual Results:  
doesn't work

Expected Results:  
should work~~~~
Comment 1 Martin Flöser 2012-06-03 06:54:33 UTC
The keybinding is for slotSwitchWindowRight()
Comment 2 Martin Flöser 2012-06-03 06:59:46 UTC
proposed patch:

diff --git a/kwin/useractions.cpp b/kwin/useractions.cpp
index 026bc7b..174e5c5 100755
--- a/kwin/useractions.cpp
+++ b/kwin/useractions.cpp
@@ -1487,7 +1487,7 @@ void Workspace::switchWindow(Direction direction)
 
     ToplevelList clist = stackingOrder();
     for (ToplevelList::Iterator i = clist.begin(); i != clist.end(); ++i) {
-        Client *client = qobject_cast<Client*>(c);
+        Client *client = qobject_cast<Client*>(*i);
         if (!client) {
             continue;
         }
Comment 3 Martin Flöser 2012-06-03 07:10:08 UTC
Review Request: https://git.reviewboard.kde.org/r/105138/
Comment 4 Martin Flöser 2012-06-03 19:09:57 UTC
Git commit d63cf8e15e0aa879fc0cd5f0e7f919ac1d2c40d3 by Martin Gräßlin.
Committed on 03/06/2012 at 09:07.
Pushed by graesslin into branch 'master'.

Fix switching to window left/right/up/down

Regression introduced with
2ae475cedefc7521a03602bf163864f08caad23e
FIXED-IN: 4.9.0
REVIEW: 105138

M  +1    -1    kwin/useractions.cpp

http://commits.kde.org/kde-workspace/d63cf8e15e0aa879fc0cd5f0e7f919ac1d2c40d3
Comment 5 Thomas Lübking 2012-06-06 22:38:49 UTC
*** Bug 301316 has been marked as a duplicate of this bug. ***
Comment 6 Christian (Fuchs) 2012-06-06 22:48:48 UTC
Confirm that the fix works, thank you very much for a quick fix for this great feature.